Open CASCADE Technology: LDOM_Attr Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
LDOM_Attr Class Reference

`#include <LDOM_Attr.hxx>`

Inheritance diagram for LDOM_Attr:
[legend]

## Public Member Functions
| LDOM_Attr ()
| LDOM_Attr (const LDOM_Attr &anOther)
LDOM_Attr & | operator= (const LDOM_NullPtr *aNull)
LDOM_Attr & | operator= (const LDOM_Attr &anOther)
LDOMString | getName () const
LDOMString | getValue () const
void | setValue (const LDOMString &aValue)
Public Member Functions inherited from LDOM_Node
| LDOM_Node ()
| LDOM_Node (const LDOM_Node &anOther)
const LDOM_MemManager & | getOwnerDocument () const
LDOM_Node & | operator= (const LDOM_Node &anOther)
LDOM_Node & | operator= (const LDOM_NullPtr *aNull)
Standard_Boolean | operator== (const LDOM_NullPtr *) const
Standard_Boolean | operator!= (const LDOM_NullPtr *) const
Standard_Boolean | operator== (const LDOM_Node &anOther) const
Standard_Boolean | operator!= (const LDOM_Node &anOther) const
Standard_Boolean | isNull () const
NodeType | getNodeType () const
LDOMString | getNodeName () const
LDOMString | getNodeValue () const
LDOM_Node | getFirstChild () const
LDOM_Node | getLastChild () const
LDOM_Node | getNextSibling () const
void | removeChild (const LDOM_Node &aChild)
void | appendChild (const LDOM_Node &aChild)
Standard_Boolean | hasChildNodes () const
void | SetValueClear () const

## Protected Member Functions
| LDOM_Attr (const LDOM_BasicAttribute &anAttr, const Handle< LDOM_MemManager > &aDoc)
Protected Member Functions inherited from LDOM_Node
const LDOM_BasicNode & | Origin () const
| myOrigin ((LDOM_BasicNode *)&anOrig)
| myLastChild (NULL)

## Additional Inherited Members
Public Types inherited from LDOM_Node
enum | NodeType { UNKNOWN = 0, ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, COMMENT_NODE = 8 }
Protected Attributes inherited from LDOM_Node
| __pad0__: myDocument (aDoc)
Handle< LDOM_MemManager > | myDocument
LDOM_BasicNode * | myOrigin
const LDOM_BasicNode * | myLastChild

## Constructor & Destructor Documentation

LDOM_Attr::LDOM_Attr | ( |  | ) |
| inline

LDOM_Attr::LDOM_Attr | ( | const LDOM_Attr & | anOther | ) |
| inline

LDOM_Attr::LDOM_Attr | ( | const LDOM_BasicAttribute & | anAttr,
|  | const Handle< LDOM_MemManager > & | aDoc
| ) |  |
| protected

## Member Function Documentation

LDOMString LDOM_Attr::getName | ( |  | ) | const
| inline

LDOMString LDOM_Attr::getValue | ( |  | ) | const
| inline

LDOM_Attr& LDOM_Attr::operator= | ( | const LDOM_NullPtr * | aNull | ) |
| inline

LDOM_Attr& LDOM_Attr::operator= | ( | const LDOM_Attr & | anOther | ) |
| inline

void LDOM_Attr::setValue | ( | const LDOMString & | aValue | ) |

The documentation for this class was generated from the following file:

- LDOM_Attr.hxx